%define anolis_release 1

Name:		python-pycdio
Version:	2.1.1
Release:	%{anolis_release}%{?dist}
Summary:	A Python interface to the CD Input and Control library

License:	GPLv3+
URL:		http://www.gnu.org/software/libcdio/
Source0:        https://github.com/rocky/pycdio/archive/refs/tags/%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	libcdio-devel
BuildRequires:	swig

# For tests
BuildRequires:	python3-nose

%description
The pycdio (and libcdio) libraries encapsulate CD-ROM reading and
control. Python programs wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

%package -n python3-pycdio
Summary:	A Python interface to the CD Input and Control library
Obsoletes:	pycdio < 2.0.0-6
Provides:	pycdio = %{version}-%{release}
%{?python_provide:%python_provide python3-pycdio}

%description -n python3-pycdio
The pycdio (and libcdio) libraries encapsulate CD-ROM reading and
control. Python programs wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

%package -n python3-pycdio-doc
Summary:        Documentation for python3-pycdio
Requires:       python3-pycdio = %{version}-%{release}
BuildArch:      noarch

%description -n python3-pycdio-doc
The python3-pycdio-doc package contains documentations for python3-pycdio.

%prep
%autosetup -n pycdio-%{version} -p1

%build
%py3_build

%install
%py3_install
chmod 755 %{buildroot}/%{python3_sitearch}/*.so

%check
%python3 setup.py nosetests

%files -n python3-pycdio
%license COPYING
%{python3_sitearch}/__pycache__/*
%{python3_sitearch}/_pycdio*
%{python3_sitearch}/_pyiso9660*
%{python3_sitearch}/cdio.py
%{python3_sitearch}/iso9660.py
%{python3_sitearch}/pycdio.py
%{python3_sitearch}/pyiso9660.py
%{python3_sitearch}/pycdio-%{version}-py3*.egg-info/

%files -n python3-pycdio-doc
%doc README.rst ChangeLog AUTHORS NEWS.md THANKS

%changelog
* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 2.1.0-1
- Init pcakage from upstream
